var url = location.search.substring(1);

// 显示log不起作用
// console.log(url);

// PDFJS.cMapUrl = 'https://unpkg.com/pdfjs-dist@1.9.426/cmaps/';
PDFJS.cMapUrl = 'pdfjs/web/cmaps/';
PDFJS.cMapPacked = true;

var pdfDoc = null;
var bodys = null;

function createPage() {
    var div = document.createElement("canvas");
    div.setAttribute("id", "mypdf");
    document.body.appendChild(div);
    return div;
}

function renderPage(num) {
    pdfDoc.getPage(num).then(function (page) {
        var viewport = page.getViewport(2.0);
        var canvas = createPage();
        var ctx = canvas.getContext('2d');

        canvas.height = viewport.height;
        canvas.width = viewport.width;

        page.render({
            canvasContext: ctx,
            viewport: viewport
        });

        bodys += page.getTextContent.readableStream + ", ";
    });
}

function returnBodys(){
    jsCallAndroid.hello("bodys = " + bodys);
    document.getElementById("abc").innerHTML = bodys;
}

PDFJS.getDocument(url).then(function (pdf) {
    pdfDoc = pdf;
    jsCallAndroid.getPdfPageNumber(pdfDoc.numPages);
    for (var i = 1; i <= pdfDoc.numPages; i++) {
        renderPage(i)
    }
});